package com.ruoyi.inventory.domain.enums;

/**
 * 盘点计划结果
 */
public enum InventoryPlanResult {
    // 盘点结果，0：未开始，1：盘盈，2：盘亏，3：正常
    /** 盘盈 */
    PLAN_NOT_STARTED(0, "未开始"),
    /** 盘盈 */
    PLAN_INVENTORY_PROFIT(1, "盘盈"),
    /** 盘亏 */
    PLAN_INVENTORY_SHORTAGES(2, "盘亏"),
    /** 正常 */
    PLAN_INVENTORY_NORMAL(3, "正常");

    /** 特定代码 */
    private final Integer code;

    /** 名称 */
    private final String name;

    InventoryPlanResult(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    /**
     * 根据特定代码返回名称
     *
     * @param code 特定代码
     * @return 名称/null
     */
    public static String getName(Integer code) {
        for (InventoryPlanResult value : InventoryPlanResult.values()) {
            if (value.code.equals(code)) {
                return value.getName();
            }
        }
        return null;
    }
}
